# Generated from bio-sambamba-0.0.5.gem by gem2rpm -*- rpm-spec -*-
%global gem_name bio-sambamba

Name: rubygem-%{gem_name}
Version: 0.0.5
Release: 1%{?dist}
Summary: Ruby wrapper for Sambamba tool
License: MIT
URL: http://github.com/lomereiter/bioruby-sambamba
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(jeweler) >= 1.8.3
# BuildRequires: rubygem(jeweler) < 1.9
# BuildRequires: rubygem(rspec) >= 2.7.0
# BuildRequires: rubygem(rspec) < 2.8
# BuildRequires: rubygem(cucumber)
BuildArch: noarch

%description
New Sambamba library comes with a command-line tool for working with SAM/BAM
files. This gem brings some of its functionality to Ruby.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# cucumber
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/VERSION
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.document
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/features
%{gem_instdir}/test

%changelog
* Mon Apr 18 2022 mockbuilder - 0.0.5-1
- Initial package
